Erfahrungen mit Monitoring Tools

Einrichten des lokalen Netzes, Verbindung zu anderen Computern und Diensten.
Antworten
uek1967
Beiträge: 18
Registriert: 23.05.2019 19:15:56

Erfahrungen mit Monitoring Tools

Beitrag von uek1967 » 29.07.2019 18:05:52

Hallo liebe Debianer und ZABBIXER,

ich habe da mit zabbix 4.0 auf meinem stretch ein Problemchen, was ich jedoch nicht gelöst bekomme:
Obwohl soweit alles gut aussieht

Code: Alles auswählen

    Welcome
    Check of pre-requisites
    Configure DB connection
    Zabbix server details
    Pre-installation summary
    Install

Check of pre-requisites
	Current value	Required	
PHP version	7.3.6-1	5.4.0	OK
PHP option "memory_limit"	128M	128M	OK
PHP option "post_max_size"	16M	16M	OK
PHP option "upload_max_filesize"	2M	2M	OK
PHP option "max_execution_time"	300	300	OK
PHP option "max_input_time"	300	300	OK
PHP option "date.timezone"	Europe/Luxembourg		OK
PHP databases support	MySQL
		OK
PHP bcmath	on		OK
PHP mbstring	on		OK
PHP option "mbstring.func_overload"	off	off	OK
PHP sockets	on		OK
PHP gd	2.2.5	2.0	OK
PHP gd PNG support	on		OK
PHP gd JPEG support	on		OK
PHP gd FreeType support	on		OK
PHP libxml	2.9.4	2.6.15	OK
PHP xmlwriter	on		OK
PHP xmlreader	on		OK
PHP LDAP	on		OK
PHP ctype	on		OK
PHP session	on		OK
PHP option "session.auto_start"	off	off	OK
PHP gettext	on		OK
PHP option "arg_separator.output"	&	&	OK
gibt es zwischen dem zabbix-agent und meiner mariadb eine Versionkonflikt
Cannot connect to the database.

The frontend does not match Zabbix database. Current database version (mandatory/optional): 4020000/4020000. Required mandatory version: 4000000.
Danach suche ich mir seit Tagen den Wolf - allle gut gemeinten Tipps (Zabbix-Server neu starten /etc/zabbix/web/zabbix.conf.php editieren etc.) half alles nichts.

Installiert habe ich zabbix aud den ZABBIX Repos zabbix-release_4.2-1+stretch_all.deb dazu den zabbix agent Apache2 und php7.3 mariadb 10.3.16

Wo und wie bekomme ich das passende Frontend zu meiner DB oder umgekehrt die passende version der DB zu meinem Frontend installiert?

IM Voraus vielen Dank

Uli

uname
Beiträge: 10012
Registriert: 03.06.2008 09:33:02

Re: Erfahrungen mit Monitoring Tools

Beitrag von uname » 30.07.2019 08:35:11

Ich kenne Zabbix nicht. Aber es sieht so aus als ob Zabbix zu alt oder MariaDB zu neu ist.

Kannst du nicht alles aus den Paketquellen installieren?
Was hast du genau von wo installiert? Wie sind die Versionen (z. B. --version, Angabe von dpkg -l usw.)?

Such ob du hier alles für Stretch findest:
https://packages.debian.org/search?suit ... ds=mariadb
https://packages.debian.org/search?suit ... rds=zabbix

Warum nutzt du kein Buster?

eggy
Beiträge: 1936
Registriert: 10.05.2008 11:23:50

Re: Erfahrungen mit Monitoring Tools

Beitrag von eggy » 30.07.2019 12:57:10

Ein aussagekräftigerer Threadtitel (z.B. "xyz-Problem mit Zabbix 4.2 und MariaDB") könnte dazu führen, dass vielleicht mehr Leute die Zabbix nutzen sich die Frage ansehen. Den Titel kannst Du einfach ändern, in dem Du den ersten Beitrag nochmal editierst.

https://www.zabbix.com/documentation/3. ... on/upgrade Punkt 6.
Ich geh mal davon aus, dass Du
a) schonmal ne alte Version instaliert hattest, und die Datenbanktabellen noch das alte Schema haben und aus irgendnem Grund Zabbix glaubt nicht die Richtigen Berechtigungen zu haben um das automatisch hochzuziehen
oder
b) das Paket, das Du installieren willst, nicht alle nötigen Patches enthält

In Fall a könnte man einfach mal (testweise) die gesammte DB wegwerfen (Backup) und dann schauen obs dann geht, falls ja dann rausfinden warums geklemmt hat (wahrscheinlich irgendne fehlende Berechtigung oder unter falschem Account gemacht etc) ... eigentlich sollte das Ding während des Updates mit Fehlermeldungen um sich werfen wenn es Probleme mit der DB gibt, gabs da was?
In Fall b Bugreport beim Hersteller und auf neuere Pakete hoffen.

Generell sind Fragen die Fremdpakete betreffen meist besser im Herstellerforum aufgehoben, da lesen sicher mehr Leute die das im Einsatz haben mit, in Debian selbst gibts zur Zeit kein aktuelles Zabbix wenn ich das richtig sehe
https://www.zabbix.com/forum

Antworten